attribute mediump vec3 a_vertex;
attribute mediump vec2 a_texcoord;
attribute mediump vec4 a_color;

uniform mat4 mvp;

varying mediump vec2 v_texcoord;
varying lowp vec4 v_color;

void main(void)
{
	v_color = a_color * 1.0 / 255.0;
	v_texcoord = a_texcoord;
	gl_Position = mvp * vec4(a_vertex, 1.0);
}
